<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 05/14/2007 *
 * ===================                          Last change: 05/14/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : lead-confirm.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Script for lead-campaign codes                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alles um den Bestaetigungslink                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['startTime'] = microtime(true);

// Set module
$GLOBALS['module'] = 'lead-confirm';

// Set "CSS-Mode"
$GLOBALS['output_mode'] = '0';

// Load config.php
require('inc/config-global.php');

// Set content type
setContentType('text/html');

// Is the extension active?
redirectOnUninstalledExtension('lead');

// Header
loadIncludeOnce('inc/header.php');

// Initialize the array for the template
$content = array(
	'lead_userid' => '0',
	'lead_email'  => '{?WEBMASTER?}'
);

// Is the cookie set?
if ((isSessionVariableSet('lead_userid')) && (fetchUserData(getSession('lead_userid')))) {
	// Secure the id number
	$content['lead_userid'] = bigintval(getSession('lead_userid'));

	// Load the email address
	$content['lead_email'] = getUserData('email');
} // END - if

// Load the lead template
loadTemplate('lead_code', false, $content);

// Footer
loadIncludeOnce('inc/footer.php');

// [EOF]
?>
